<?php

namespace App\Generated\V1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class ConfirmCpMessage extends Message
{
    use ValueHelper;

    protected $pairId;
    protected $confirm;
    protected $result;

    /**
     * @return int
     */
    public function getPairId()
    {
        return $this->pairId;
    }

    /**
     * @return int
     */
    public function getConfirm()
    {
        return $this->confirm;
    }

    public function requestRules()
    {
        return [
            ['pairId', 'pair_id', 'bail|integer', Constants::INTEGER, null],
            ['confirm', 'confirm', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
